• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Leggi altro.

Nascondere piani, vincoli e altro

geminy

Utente poco attivo
Professione: impiegato disegnatore cad
Software: catia v4/v5, worknc
Regione: piemonte
#22
Ciao ragazzi, questa cosa mi fa uscire matto!!!

Ho un'assieme PADRE composto all'interno da circa 50-60 assiemi. Quando apro l'assieme padre vedo tutti i piani, vincoli, schizzi e altre "belle" entità che creano una confuzione. Siccome sono un progettista e non un pittore astratto:p, come "cavolicchio" si fa a nascondere tutto senza aprire ogni singolo assieme:confused:

Magari un comandino "nascondi piani o nascondi vincoli".
Confido, come semre, in voi:)
ciao

PS: nella bella riga di comando in basso di Catia non si può digitare: NO show datum
forse la mia è una soluzione non adatta al tuo caso, ma attivando la cache senza la visualizzazione del wireframe dovresti risolvere il problema...

ciao
 

marcofa

Utente Standard
Professione: Manager
Software: Autocad Catia
Regione: Liguria
#23
La seguente Macro nasconde tutti gli elementi di costruzione, non i vincoli
Marco


---------------------
Language="VBSCRIPT"

Sub CATMain()

Set ProductDocument1 = CATIA.ActiveDocument
Set Product1 = ProductDocument1. Product

Dim ProductDoc1_As_Document
Set ProductDoc1 = Catia.ActiveDocument

Dim Selection1_As_Selection
Set Selection1 = ProductDoc1.Selection

Selection1.Search "CatPrtSearch.Surface,All"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Selection1.Search "CatPrtSearch.AxisSystem,All"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Selection1.Search "CatPrtSearch.AxisSystem.Name=Axis' 'System*,All"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Selection1.Search "CatPrtSearch.Line,All"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Selection1.Search "CatPrtSearch.Curve,All"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Selection1.Search "CatPrtSearch.Sketch,All"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Selection1.Search "CatPrtSearch.Point,All"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

selection1.Search "CATGmoSearch.OpenBodyFeature,all"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Dim specsAndGeomWindow1 As Window
Set specsAndGeomWindow1 = CATIA.ActiveWindow

Dim viewer3D1 As Viewer
Set viewer3D1 = specsAndGeomWindow1.ActiveViewer

Dim viewpoint3D1 As Viewpoint3D
Set viewpoint3D1 = viewer3D1.Viewpoint3D

viewer3D1.Reframe

Set viewpoint3D1 = viewer3D1.Viewpoint3D



End Sub
--------------------


Copiare tutto in un file .txt quindi cambiare l'estensione in .CATScript
Lanciare la Macro et voila!
 
Professione: ingegnerizzatore prodotto-automotive (dream cars)
Software: SW 2009 - Pro/E WF4 - Catia V5 R20 - Matlab - Ansys - TC7 - VPM
Regione: Veneto - Austin (TX)
#24
La seguente Macro nasconde tutti gli elementi di costruzione, non i vincoli
Marco
Cavoli:eek:
Grazie marcofa.Per curiosità dove l'hai trovata?
Ci sono sito con macro per Catia?
 

biondo17

Utente Junior
Professione: Progettista
Software: Catia v5, Solidworks
Regione: Veneto
#27
Ciao a tutti, sono nuovo di questo forum. Come "stef_design" (venendo anch'io da un altro CAD) mi sono scontrato subito con questa fastidiosa "mancanza" di catia. Ringrazio "marcofra" per l'iteressante macro che ha postato, dalla quale ho preso spunto per aggiornarla un pò e renderla un pò più veloce.

Invece di elencare tutti gli elementi non solidi ho ridotto la ricerca al solo "gruppo geometrico" (a patto che si lavori in modalità NON ibrida) e ho lasciato gli schizzi, sistema d'assi e i tre piani principali. Ho inoltre aggiunto alla macro i vincoli dell'assieme.

Di seguito riporto la macro:

Language="VBSCRIPT"

Sub CATMain()

Set ProductDocument1 = CATIA.ActiveDocument
Set Product1 = ProductDocument1. Product

Dim ProductDoc1_As_Document
Set ProductDoc1 = Catia.ActiveDocument

Dim Selection1_As_Selection
Set Selection1 = ProductDoc1.Selection

selection1.Search "(Name=*xy* & CATPrtSearch.Plane),all"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

selection1.Search "(Name=*yz* & CATPrtSearch.Plane),all"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

selection1.Search "(Name=*zx* & CATPrtSearch.Plane),all"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Selection1.Search "CatPrtSearch.AxisSystem,All"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Selection1.Search "CatPrtSearch.AxisSystem.Name=Axis' 'System*,All"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Selection1.Search "CatPrtSearch.Sketch,All"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

selection1.Search "CATPrtSearch.OpenBodyFeature,all"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

selection1.Search "CATAsmSearch.MfConstraint,all"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Dim specsAndGeomWindow1 As Window
Set specsAndGeomWindow1 = CATIA.ActiveWindow

Dim viewer3D1 As Viewer
Set viewer3D1 = specsAndGeomWindow1.ActiveViewer

Dim viewpoint3D1 As Viewpoint3D
Set viewpoint3D1 = viewer3D1.Viewpoint3D

viewer3D1.Reframe

Set viewpoint3D1 = viewer3D1.Viewpoint3D



End Sub


Se vi può interessare, sempre partendo dalla stessa struttura, ho estrapolato una macro che mostri solo i piani principali:

Language="VBSCRIPT"

Sub CATMain()

Set ProductDocument1 = CATIA.ActiveDocument
Set Product1 = ProductDocument1. Product

Dim ProductDoc1_As_Document
Set ProductDoc1 = Catia.ActiveDocument

Dim Selection1_As_Selection
Set Selection1 = ProductDoc1.Selection

selection1.Search "(Name=*xy* & CATPrtSearch.Plane),all"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 0
Selection1.Clear

selection1.Search "(Name=*yz* & CATPrtSearch.Plane),all"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 0
Selection1.Clear

selection1.Search "(Name=*zx* & CATPrtSearch.Plane),all"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 0
Selection1.Clear

Dim specsAndGeomWindow1 As Window
Set specsAndGeomWindow1 = CATIA.ActiveWindow

Dim viewer3D1 As Viewer
Set viewer3D1 = specsAndGeomWindow1.ActiveViewer

Dim viewpoint3D1 As Viewpoint3D
Set viewpoint3D1 = viewer3D1.Viewpoint3D

viewer3D1.Reframe

Set viewpoint3D1 = viewer3D1.Viewpoint3D

End Sub


Grazie ancora ancora a tutti voi per i preziosi consigli che postate nel forum!
 

marcofa

Utente Standard
Professione: Manager
Software: Autocad Catia
Regione: Liguria
#28
Grazie Biondo!
Visto che ne capisci, potresti mica farne una edizione come quella postata, che nasconda anche i vincoli , ibrido e non ibrido?
Marco
 

biondo17

Utente Junior
Professione: Progettista
Software: Catia v5, Solidworks
Regione: Veneto
#29
Grazie Biondo!
Visto che ne capisci, potresti mica farne una edizione come quella postata, che nasconda anche i vincoli , ibrido e non ibrido?
Marco
Allora...la macro che ho postato funziona anche in modalità ibrida, solamente che non nasconde le varie geometrie non solide, cioè tutte quelle create con "generative shape design", che in modalità non ibrida vanno appunto dentro il gruppo geometrico.

Siccome io lavoro solo in modalità non ibrida, per velocizzare la ricerca, ho semplicemente ragguppato tutte le geometrie nascondendo direttamente i "gruppi geometrici".

Comunque di seguito riporto la tua macro con l'aggiunta dei vincoli:

Language="VBSCRIPT"

Sub CATMain()

Set ProductDocument1 = CATIA.ActiveDocument
Set Product1 = ProductDocument1. Product

Dim ProductDoc1_As_Document
Set ProductDoc1 = Catia.ActiveDocument

Dim Selection1_As_Selection
Set Selection1 = ProductDoc1.Selection

Selection1.Search "CatPrtSearch.Surface,All"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Selection1.Search "CatPrtSearch.AxisSystem,All"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Selection1.Search "CatPrtSearch.AxisSystem.Name=Axis' 'System*,All"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Selection1.Search "CatPrtSearch.Line,All"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Selection1.Search "CatPrtSearch.Curve,All"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Selection1.Search "CatPrtSearch.Sketch,All"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Selection1.Search "CatPrtSearch.Point,All"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

selection1.Search "CATGmoSearch.OpenBodyFeature,all"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

selection1.Search "CATAsmSearch.MfConstraint,all"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Dim specsAndGeomWindow1 As Window
Set specsAndGeomWindow1 = CATIA.ActiveWindow

Dim viewer3D1 As Viewer
Set viewer3D1 = specsAndGeomWindow1.ActiveViewer

Dim viewpoint3D1 As Viewpoint3D
Set viewpoint3D1 = viewer3D1.Viewpoint3D

viewer3D1.Reframe

Set viewpoint3D1 = viewer3D1.Viewpoint3D



End Sub


Fammi sapere se funziona :wink:
Ciao
 

marcofa

Utente Standard
Professione: Manager
Software: Autocad Catia
Regione: Liguria
#30
Fantastico!
L'appetito vien mangiando.....cosa ne dici di una versione solo per i vincoli? O è chiedere troppo?
Grrrrazzzzzie
Marco
 

biondo17

Utente Junior
Professione: Progettista
Software: Catia v5, Solidworks
Regione: Veneto
#32
Fantastico!
L'appetito vien mangiando.....cosa ne dici di una versione solo per i vincoli? O è chiedere troppo?
Grrrrazzzzzie
Marco
Ciao Marco,
ma figurati!!! :cool: Ecco quì la macro per nascondere solo per i vincoli.

Language="VBSCRIPT"

Sub CATMain()

Set ProductDocument1 = CATIA.ActiveDocument
Set Product1 = ProductDocument1. Product

Dim ProductDoc1_As_Document
Set ProductDoc1 = Catia.ActiveDocument

Dim Selection1_As_Selection
Set Selection1 = ProductDoc1.Selection

selection1.Search "CATAsmSearch.MfConstraint,all"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Dim specsAndGeomWindow1 As Window
Set specsAndGeomWindow1 = CATIA.ActiveWindow

Dim viewer3D1 As Viewer
Set viewer3D1 = specsAndGeomWindow1.ActiveViewer

Dim viewpoint3D1 As Viewpoint3D
Set viewpoint3D1 = viewer3D1.Viewpoint3D

viewer3D1.Reframe

Set viewpoint3D1 = viewer3D1.Viewpoint3D



End Sub


Ciao
 

cikoloco

Utente poco attivo
Professione: disegnatore
Software: pro/e wf2-3-4, SW,think3,autocad,
Regione: campania
#33
è la prima volta che scrivo,e so di non scrivere nella pagina giusta,ma lo chiedo lo stesso....
come faccio in un assieme (NX6) a nascondere i sistemi di coordinate e i piani di default?guardate l'immagine allegata
 

Allegati

  • 173.1 KB Visualizzazioni: 3

cikoloco

Utente poco attivo
Professione: disegnatore
Software: pro/e wf2-3-4, SW,think3,autocad,
Regione: campania
#35
se io scrivo su google : "come nascondere piani in ug" mi esce questa pagina come risultato, e quindi ho scritto qua!

si ma tu lo sai o no??
 

marcofa

Utente Standard
Professione: Manager
Software: Autocad Catia
Regione: Liguria
#36
Tornando alla macro ultima, per cui tutti ti ringraziamo, ho notato durante l'uso che per assiemi grossi ci mette una vita a scannare tutto.
Poichè gli elementi scannati per un assieme di 200 parti sono circa 4000 significa che TUTTO viene scannato.
E' possibile limitare ai soli Vincoli di Assieme?
Marco


Per Cikoloco, vedi sezione NX in "Meccanica" di questo stesso forum.
 

mcbramby

Utente Standard
Professione: Utilizzatore
Software: Catia V5 CAD e CAM
Regione: Lombardia
#37
Scusate se mi intrometto magari ne avete già parlato prima ...... non ho letto tutto :biggrin: , ma per i vincoli nelle opzioni di Catia puoi settare di vedere solo i vincoli del product attivo ............... eventualmente potrebbe essere utile , almeno per me lo è ........... :smile:
 

Allegati

  • 15.9 KB Visualizzazioni: 17

mcbramby

Utente Standard
Professione: Utilizzatore
Software: Catia V5 CAD e CAM
Regione: Lombardia
#38
ho rivisto l'immagine ............ è piccolaaaaaa :eek:

ma la riscala lui .............

Cmq è Strumenti/Opzioni/Parametri e misure/Vincoli e quote/filtro :biggrin:
 

barlafus

Utente Standard
Professione: chairwarmer
Software: utilizzato dal CAD
Regione: .
#39
se io scrivo su google : "come nascondere piani in ug" mi esce questa pagina come risultato, e quindi ho scritto qua!
Non male come ragionamento e come scarico di responsabilità.
Una volta lo 'diceva la TV', oggi lo dice google, ergo è verità!
Comunque non ti fa onore...